/* eslint-disable perfectionist/sort-named-exports */
/* eslint-disable unicorn/import-style */
/* eslint-disable perfectionist/sort-named-imports */
/* eslint-disable no-undef */
/* eslint-disable unicorn/prefer-module */
/* eslint-disable perfectionist/sort-objects */
import path, { dirname } from 'node:path';
import { fileURLToPath } from 'node:url';
// Ends up at root level of campfire-cli
const __dirname = dirname(fileURLToPath(import.meta.url));
const campfireRootPath = path.join(__dirname, '/../..');
const campfireBuildWorkflowTemplatePath = path.join(campfireRootPath, '/templates/github/workflows/create_preview.yml');
const userCreateWorkflowPath = path.join(process.cwd(), '/.github/workflows/create_preview.yml');
const campfireDeleteWorkflowPath = path.join(campfireRootPath, '/templates/github/workflows/delete_preview.yml');
const userDeleteWorkflowPath = path.join(process.cwd(), '/.github/workflows/delete_preview.yml');
const campfireUpdateWorkflowPath = path.join(campfireRootPath, '/templates/github/workflows/update_preview.yml');
const userUpdateWorkflowPath = path.join(process.cwd(), '/.github/workflows/update_preview.yml');
const githubFolderPath = path.join(process.cwd(), '/.github');
const workflowFolderPath = path.join(process.cwd(), '/.github/workflows');
const actionFolderPaths = [
    path.join(process.cwd(), '/.github/actions'),
    path.join(process.cwd(), '/.github/actions/delete-preview'),
    path.join(process.cwd(), '/.github/actions/delete-s3'),
    path.join(process.cwd(), '/.github/actions/deploy-preview'),
];
const campfireActionTemplatePaths = [
    path.join(campfireRootPath, '/templates/github/actions/delete-preview/action.yml'),
    path.join(campfireRootPath, '/templates/github/actions/delete-s3/action.yml'),
    path.join(campfireRootPath, '/templates/github/actions/deploy-preview/action.yml'),
];
const userActionPaths = actionFolderPaths.slice(1).map(path => `${path}/action.yml`);
const cloudFormationTemplatePath = path.join(campfireRootPath, 'templates/cloudformation/campfire.yml');
export default {
    campfireRootPath,
    campfireBuildWorkflowTemplatePath,
    cloudFormationTemplatePath,
    userCreateWorkflowPath,
    campfireDeleteWorkflowPath,
    userDeleteWorkflowPath,
    campfireUpdateWorkflowPath,
    userUpdateWorkflowPath,
    githubFolderPath,
    workflowFolderPath,
    actionFolderPaths,
    campfireActionTemplatePaths,
    userActionPaths,
};
